package aalgTest;

import java.math.BigInteger;
import org.junit.Test;

import aalg.algebra.PrimeField;
import aalg.algebra.PrimeFieldElement;

public class PrimeFieldTest {
	
	private static final BigInteger PRIME = BigInteger.valueOf(17);
	
	@Test
	public void testMultiGroup() {
		final PrimeField field = new PrimeField(PRIME);
		final FiniteFieldTester<PrimeFieldElement> tester = new FiniteFieldTester<PrimeFieldElement>(field);
		
		tester.testField();
	}

}
